- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Protected Member Functions

# FbxProcessor Class Reference

Search for all occurrences

## Detailed Description

The class and its derived classes(e.g.

FbxProcessorXRefCopy, FbxProcessorXRefCopyUserLibrary, etc.) are used to process shader, library, asset, etc. For example, you could update object property and its value via FbxProcessor::ProcessObject(), FbxProcessor::internal_ProcessObject(), etc.

Definition at line 25 of file fbxprocessor.h.

`#include <fbxprocessor.h>`

Inheritance diagram for FbxProcessor:
[legend]

List of all members.

## Public Member Functions
Processor management
bool | ProcessCollection (FbxCollection *pCollection=0)
| Process the specified collection.
bool | ProcessObject (FbxObject *pCollection=0)
| Process the specified object.
## Protected Member Functions
| FbxProcessor (FbxManager &pManager, char const *pName)
virtual bool | internal_ProcessCollectionBegin (FbxCollection *pCollection)
virtual bool | internal_ProcessCollectionEnd (FbxCollection *pCollection)
virtual bool | internal_ProcessObject (FbxObject *pObject)
virtual bool | internal_ProcessCollection (FbxCollection *pCollection)

## Constructor & Destructor Documentation

FbxProcessor | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

bool ProcessCollection | ( | FbxCollection * | pCollection = `0` | ) |

Search for all occurrences

Process the specified collection.

Parameters:

  pCollection |

bool ProcessObject | ( | FbxObject * | pCollection = `0` | ) |

Search for all occurrences

Process the specified object.

Parameters:

  pCollection | FbxObject to process

virtual bool internal_ProcessCollectionBegin | ( | FbxCollection * | pCollection | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in FbxProcessorXRefCopy.

virtual bool internal_ProcessCollectionEnd | ( | FbxCollection * | pCollection | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in FbxProcessorXRefCopy.

virtual bool internal_ProcessObject | ( | FbxObject * | pObject | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in FbxProcessorShaderDependency, and FbxProcessorXRefCopy.

virtual bool internal_ProcessCollection | ( | FbxCollection * | pCollection | ) | `[protected, virtual]`

Search for all occurrences

The documentation for this class was generated from the following file:

- fbxsdk/utils/fbxprocessor.h

FbxProcessor FbxProcessor FbxProcessor FbxProcessor FbxProcessor FbxProcessor FbxProcessor FbxProcessor FbxProcessor FbxProcessor
FbxProcessor FbxProcessor FbxProcessor FbxProcessor FbxProcessor FbxProcessor FbxProcessor FbxProcessor FbxProcessor FbxProcessor